- Aldebaran documentation |
- C++ Libraries |
- index

libalaudio 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Protected Attributes | List of all members
AL::ALSoundExtractor Class Reference

`#include <alsoundextractor.h>`

## Public Member Functions
| ALSoundExtractor (boost::shared_ptr< AL::ALBroker > pBroker, std::string pName)
virtual | ~ALSoundExtractor ()
virtual std::string | version (void)
virtual void | startDetection (void)
virtual void | stopDetection (void)
QI_API_DEPRECATED void | setDebugMode (const bool &pbSetOrUnset=true)
QI_API_DEPRECATED bool | getDebugMode (void)
virtual void | process (const int &nbOfChannels, const int &nbrOfSamplesByChannel, const AL_SOUND_FORMAT *buffer, const ALValue &timestamp)
virtual QI_API_DEPRECATED void | processSound (const int nbOfChannels, const int nbrOfSamplesByChannel, const AL_SOUND_FORMAT *buffer)
virtual QI_API_DEPRECATED void | processSoundRemote (const int &nbOfChannels, const int &nbrOfSamplesByChannel, const ALValue &buffer)
Public Member Functions inherited from AL::ALExtractor
| ALExtractor (boost::shared_ptr< ALBroker > pBroker, const std::string &pName)
virtual | ~ALExtractor ()
virtual void | subscribe (const std::string &pSubscribedName, const int &pPeriod, const float &pPrecision)
virtual void | subscribe (const std::string &pSubscribedName)
virtual void | updatePeriod (const std::string &pSubscribedName, const int &pPeriod)
virtual void | updatePrecision (const std::string &pSubscribedName, const float &pPrecision)
virtual void | unsubscribe (const std::string &pSubscribedName)
virtual int | getCurrentPeriod ()
virtual float | getCurrentPrecision ()
virtual int | getMyPeriod (const std::string &pSubscribedName)
virtual float | getMyPrecision (const std::string &pSubscribedName)
ALValue | getSubscribersInfo ()

## Protected Attributes
bool | fIsRunning
bool | fbDebugMode
boost::shared_ptr< ALProxy > | audioDevice
ALValue | fNullTimestamp

## Additional Inherited Members
Protected Member Functions inherited from AL::ALExtractor
virtual int | getDefaultPeriod ()
virtual float | getDefaultPrecision ()
virtual int | getMinimumPeriod ()
virtual int | getMaximumPeriod ()
std::vector< std::string > | getEventList (void)
std::vector< std::string > | getMemoryKeyList (void)
void | declareEvent (const std::string &event)
void | declareMemoryKey (const std::string &key)

## Detailed Description

Definition at line 56 of file alsoundextractor.h.

## Constructor & Destructor Documentation

AL::ALSoundExtractor::ALSoundExtractor | ( | boost::shared_ptr< AL::ALBroker > | pBroker,
|  | std::string | pName
| ) |  |

Definition at line 16 of file alsoundextractor.cpp.

AL::ALSoundExtractor::~ALSoundExtractor | ( |  | ) |
| virtual

Definition at line 70 of file alsoundextractor.cpp.

## Member Function Documentation

QI_API_DEPRECATED bool AL::ALSoundExtractor::getDebugMode | ( | void |  | ) |
| inline

getDebugMode. get the status about the printing of some debug information

Deprecated:
  This functionnality is now handled by qi/log

Definition at line 83 of file alsoundextractor.h.

void AL::ALSoundExtractor::process | ( | const int & | nbOfChannels,
|  | const int & | nbrOfSamplesByChannel,
|  | const AL_SOUND_FORMAT * | buffer,
|  | const ALValue & | timestamp
| ) |  |
| virtual

Definition at line 106 of file alsoundextractor.cpp.

void AL::ALSoundExtractor::processSound | ( | const int | nbOfChannels,
|  | const int | nbrOfSamplesByChannel,
|  | const AL_SOUND_FORMAT * | buffer
| ) |  |
| virtual

Definition at line 118 of file alsoundextractor.cpp.

void AL::ALSoundExtractor::processSoundRemote | ( | const int & | nbOfChannels,
|  | const int & | nbrOfSamplesByChannel,
|  | const ALValue & | buffer
| ) |  |
| virtual

Definition at line 124 of file alsoundextractor.cpp.

QI_API_DEPRECATED void AL::ALSoundExtractor::setDebugMode | ( | const bool & | pbSetOrUnset = `true` | ) |
| inline

setDebugMode. enable/disable the printing of some debug information

Parameters

  pbSetOrUnset | enable the functionality when true

Deprecated:
  This functionnality is now handled by qi/log

Definition at line 72 of file alsoundextractor.h.

void AL::ALSoundExtractor::startDetection | ( | void |  | ) |
| virtual

Definition at line 75 of file alsoundextractor.cpp.

void AL::ALSoundExtractor::stopDetection | ( | void |  | ) |
| virtual

Definition at line 96 of file alsoundextractor.cpp.

virtual std::string AL::ALSoundExtractor::version | ( | void |  | ) |
| inline virtual

Definition at line 63 of file alsoundextractor.h.

## Member Data Documentation

boost::shared_ptr<ALProxy> AL::ALSoundExtractor::audioDevice
| protected

Definition at line 131 of file alsoundextractor.h.

bool AL::ALSoundExtractor::fbDebugMode
| protected

Definition at line 130 of file alsoundextractor.h.

bool AL::ALSoundExtractor::fIsRunning
| protected

Definition at line 129 of file alsoundextractor.h.

ALValue AL::ALSoundExtractor::fNullTimestamp
| protected

Definition at line 132 of file alsoundextractor.h.

The documentation for this class was generated from the following files:

- /home/opennao/work/release-2.8/sdk/libnaoqi/libalaudio/alaudio/alsoundextractor.h
- /home/opennao/work/release-2.8/sdk/libnaoqi/libalaudio/src/alsoundextractor.cpp